Gda.SqlStatementContentsInfo – Gda-6.0 Reference Manual

# SqlStatementContentsInfo

## Object Hierarchy:

## Description:

[ CCode ( has_type_id = false ) ]
[ Compact ]
public abstract class SqlStatementContentsInfo
Namespace: Gda
Package: Gda-6.0

## Content:

### Methods:

- public abstract void* @construct ()
- public abstract void* _gda_reserved1 ()
- public abstract void* _gda_reserved2 ()
- public abstract void* _gda_reserved3 ()
- public abstract void* _gda_reserved4 ()
- public abstract void* copy (void* stm)
- public abstract void free (void* stm)
- public abstract string serialize (void* stm)

### Fields:

- public unowned SqlForeachFunc check_structure_func
- public unowned SqlForeachFunc check_validity_func
- public unowned string name
- public SqlStatementType type